curl --request GET \
--url https://api.tableflow.com/v2/flows/dk4g1tUg1uHLs8YU/runs \
--header 'Authorization: Bearer YOUR_API_KEY'
import requests
response = requests.get(
"https://api.tableflow.com/v2/flows/dk4g1tUg1uHLs8YU/runs",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)
flow_runs = response.json()
const response = await fetch("https://api.tableflow.com/v2/flows/dk4g1tUg1uHLs8YU/runs", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY"
}
});
const flowRuns = await response.json();
[
{
"id": "Wp7kRnT2mX4vQ9bL",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "completed",
"status_history": [
{
"status": "processing",
"time": 1682366228,
"message": "Flow started via api"
},
{
"status": "completed",
"time": 1682366258,
"message": "Flow completed successfully"
}
],
"error": null,
"metadata": {
"customer_id": "12345",
"order_number": "PO-2024-001"
},
"trigger_method": "api",
"start_time": 1682366228,
"end_time": 1682366258,
"duration": 30000,
"drive_files": {},
"created_at": 1682366228,
"updated_at": 1682366258
},
{
"id": "hN3cYs8fKj6pA5wD",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "failed",
"status_history": [
{
"status": "processing",
"time": 1682365228,
"message": "Flow started via manual"
},
{
"status": "failed",
"time": 1682365258,
"message": "Extraction step 'Extract Invoice' failed: Template not found"
}
],
"error": "Extraction step 'Extract Invoice' failed: Template not found",
"metadata": {
"customer_id": "54321"
},
"trigger_method": "manual",
"start_time": 1682365228,
"end_time": 1682365258,
"duration": 30000,
"drive_files": {},
"created_at": 1682365228,
"updated_at": 1682365258
}
]
Flows
Get Flow Runs by Flow
Get a list of flow runs for a specific flow
GET
/
v2
/
flows
/
{id}
/
runs
curl --request GET \
--url https://api.tableflow.com/v2/flows/dk4g1tUg1uHLs8YU/runs \
--header 'Authorization: Bearer YOUR_API_KEY'
import requests
response = requests.get(
"https://api.tableflow.com/v2/flows/dk4g1tUg1uHLs8YU/runs",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)
flow_runs = response.json()
const response = await fetch("https://api.tableflow.com/v2/flows/dk4g1tUg1uHLs8YU/runs", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY"
}
});
const flowRuns = await response.json();
[
{
"id": "Wp7kRnT2mX4vQ9bL",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "completed",
"status_history": [
{
"status": "processing",
"time": 1682366228,
"message": "Flow started via api"
},
{
"status": "completed",
"time": 1682366258,
"message": "Flow completed successfully"
}
],
"error": null,
"metadata": {
"customer_id": "12345",
"order_number": "PO-2024-001"
},
"trigger_method": "api",
"start_time": 1682366228,
"end_time": 1682366258,
"duration": 30000,
"drive_files": {},
"created_at": 1682366228,
"updated_at": 1682366258
},
{
"id": "hN3cYs8fKj6pA5wD",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "failed",
"status_history": [
{
"status": "processing",
"time": 1682365228,
"message": "Flow started via manual"
},
{
"status": "failed",
"time": 1682365258,
"message": "Extraction step 'Extract Invoice' failed: Template not found"
}
],
"error": "Extraction step 'Extract Invoice' failed: Template not found",
"metadata": {
"customer_id": "54321"
},
"trigger_method": "manual",
"start_time": 1682365228,
"end_time": 1682365258,
"duration": 30000,
"drive_files": {},
"created_at": 1682365228,
"updated_at": 1682365258
}
]
Retrieves all flow runs for a specific flow.
Usage Notes
- Returns all runs without pagination
- Results are ordered by creation date (newest first)
- The flow must belong to your workspace
Request
string
required
The ID of the flow
Response
[
{
"id": "Wp7kRnT2mX4vQ9bL",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "completed",
"status_history": [
{
"status": "processing",
"time": 1682366228,
"message": "Flow started via api"
},
{
"status": "completed",
"time": 1682366258,
"message": "Flow completed successfully"
}
],
"error": null,
"metadata": {
"customer_id": "12345",
"order_number": "PO-2024-001"
},
"trigger_method": "api",
"start_time": 1682366228,
"end_time": 1682366258,
"duration": 30000,
"drive_files": {},
"created_at": 1682366228,
"updated_at": 1682366258
},
{
"id": "hN3cYs8fKj6pA5wD",
"flow_id": "dk4g1tUg1uHLs8YU",
"workspace_id": "uT2bJNWN75YPU95r",
"status": "failed",
"status_history": [
{
"status": "processing",
"time": 1682365228,
"message": "Flow started via manual"
},
{
"status": "failed",
"time": 1682365258,
"message": "Extraction step 'Extract Invoice' failed: Template not found"
}
],
"error": "Extraction step 'Extract Invoice' failed: Template not found",
"metadata": {
"customer_id": "54321"
},
"trigger_method": "manual",
"start_time": 1682365228,
"end_time": 1682365258,
"duration": 30000,
"drive_files": {},
"created_at": 1682365228,
"updated_at": 1682365258
}
]
curl --request GET \
--url https://api.tableflow.com/v2/flows/dk4g1tUg1uHLs8YU/runs \
--header 'Authorization: Bearer YOUR_API_KEY'
import requests
response = requests.get(
"https://api.tableflow.com/v2/flows/dk4g1tUg1uHLs8YU/runs",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)
flow_runs = response.json()
const response = await fetch("https://api.tableflow.com/v2/flows/dk4g1tUg1uHLs8YU/runs", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_API_KEY"
}
});
const flowRuns = await response.json();
array
Array of flow run objects
Show Flow Run Object
Show Flow Run Object
string
required
The unique identifier for the flow run
string
required
The ID of the flow being executed
string
required
The workspace ID
string
required
Current status of the flow run
processing- Flow is currently executingreview- Flow is paused for human reviewcompleted- Flow completed successfullyfailed- Flow failed (check error field)
array
required
string
Error message if the flow run failed
object
Custom metadata provided when running the flow
string
required
How the flow was triggered: api or manual
number
required
Unix timestamp when the flow run started
number
Unix timestamp when the flow run completed
number
required
Duration of the flow run in milliseconds
object
Google Drive files created during the flow (if Google Drive integration is enabled)
number
required
Unix timestamp when the flow run was created
number
required
Unix timestamp when the flow run was last updated
⌘I